New Search

VBScript memory corruption vulnerability - CVE-2015-1684 (MS15-043 and MS15-053)

oval:org.mitre.oval:def:28867

VBScript.dll in the Microsoft VBScript 5.6 through 5.8 engine as used in Internet Explorer 8 through 11 and other products allows remote attackers to bypass the ASLR protection mechanism via a crafted web site aka "VBScript ASLR Bypass."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows 7
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Vista
  • Microsoft Windows 8.1
  • Microsoft Windows 8
  • Microsoft Windows XP
  • Microsoft Windows Server 2003
Class:
vulnerability
Reference(s):
  • CVE-2015-1684
Product(s):
  • Microsoft Internet Explorer 10
  • Microsoft Internet Explorer 11
  • Microsoft Internet Explorer 7
  • Microsoft Internet Explorer 8
  • VBScript 5.8
  • VBScript 5.7
  • VBScript 5.6
  • Microsoft Internet Explorer 6
  • Microsoft Internet Explorer 9